Option Strict On
Option Explicit On

Imports System
Imports System.Collections.ObjectModel

Public Class CustomerCollection
   Inherits BizCollection(Of Customer, CustomerCollection)

   ''' <summary>
   ''' Imagine a robust architecture that 
   ''' retrieved values from the database
   ''' </summary>
   ''' <remarks></remarks>
   Public Sub Load()
      ApplicationData.CustomerCollection = Me
      Me.Add(New Customer("Fred", "Green", Gender.Male))
      Me.Add(New Customer("Wilma", "Smith", Gender.Female))
      Me.Add(New Customer("Sarah", "Blue", Gender.Female))
      Me.Add(New Customer("Barney", "Jones", Gender.Male))
      Me.Add(New Customer("Burt", "Basalt", Gender.Male))
      Me.Add(New Customer("Betty", "Tucker", Gender.Female))
   End Sub

   Public Function GetCustomer(ByVal firstName As String, ByVal lastName As String) As Customer
      For Each customer As Customer In Me
         If customer.FirstName = firstName And customer.LastName = lastName Then
            Return customer
         End If
      Next
      Return Nothing
   End Function

End Class
