Option Strict On
Option Explicit On

Imports System

Public Class Employee
   Inherits BizObject

   Private mFirstName As String
   Private mLastName As String
   Private mGender As Gender
   Private mAssignedDueBuffer As TimeSpan = New TimeSpan(4, 0, 0)
   Private mResolvedDueBuffer As TimeSpan = New TimeSpan(24, 0, 0)


   Public Sub New(ByVal firstName As String, ByVal lastName As String, ByVal gender As Gender)
      mFirstName = firstName
      mLastName = lastName
      mGender = gender
   End Sub

#Region "Editable Properties"
   Public Property FirstName() As String
      Get
         Return mFirstName
      End Get
      Set(ByVal value As String)
         mFirstName = value
      End Set
   End Property

   Public Property LastName() As String
      Get
         Return mLastName
      End Get
      Set(ByVal value As String)
         mLastName = value
      End Set
   End Property

   Public Property Gender() As Gender
      Get
         Return mGender
      End Get
      Set(ByVal value As Gender)
         mGender = value
      End Set
   End Property

   Public Property AssignedDueBuffer() As TimeSpan
      Get
         Return mAssignedDueBuffer
      End Get
      Set(ByVal value As TimeSpan)
         mAssignedDueBuffer = value
      End Set
   End Property

   Public Property ResolvedDueBuffer() As TimeSpan
      Get
         Return mResolvedDueBuffer
      End Get
      Set(ByVal value As TimeSpan)
         mResolvedDueBuffer = value
      End Set
   End Property

#End Region

#Region "BizObject Overrides"

   Public Overrides Sub Save()
      ' Do save here. raise exception on error
   End Sub

#End Region

End Class
