Option Strict On
Option Explicit On

Imports System
Imports System.Collections.ObjectModel

Public Class EmployeeCollection
   Inherits BizCollection(Of Employee, EmployeeCollection)

   ''' <summary>
   ''' Imagine a robust architecture that 
   ''' retrieved values from the database
   ''' </summary>
   ''' <remarks></remarks>
   Public Sub Load()
      ApplicationData.EmployeeCollection = Me
      Me.Add(New Employee("Doug", "Gregory", Gender.Male))
      Me.Add(New Employee("Tim", "Colton", Gender.Female))
      Me.Add(New Employee("Kathleen", "Dollard", Gender.Female))
      Me.Add(New Employee("Kurt", "Halvorson", Gender.Male))
   End Sub

   Public Function GetEmployee(ByVal firstName As String, ByVal lastName As String) As Employee
      For Each Employee As Employee In Me
         If Employee.FirstName = firstName And Employee.LastName = lastName Then
            Return Employee
         End If
      Next
      Return Nothing
   End Function

End Class
