Option Strict On
Option Explicit On

Imports System
Imports System.Collections.ObjectModel

Public Class BizCollection(Of TBiz As BizObject, TBizCollection As BizCollection(Of TBiz, TBizCollection))
   Inherits ObservableCollection(Of TBiz)

   Public Sub Save()
      For Each item As TBiz In Me
         item.Save()
      Next
   End Sub

   Public ReadOnly Property HasErrors() As Boolean
      Get
         For Each Item As TBiz In Me
            Dim errors As String = Item.Error
            If Not String.IsNullOrEmpty(errors) Then
               Return True
            End If
         Next
         Return False
      End Get
   End Property

End Class
