Option Strict On
Option Explicit On

Imports System

Public MustInherit Class BizObject
   Implements ComponentModel.IDataErrorInfo

   Public MustOverride Sub Save()

   Public Overridable ReadOnly Property CanRead(ByVal propertyName As String) As Boolean
      Get
         Return True
      End Get
   End Property

   Public Overridable ReadOnly Property CanWrite(ByVal propertyName As String) As Boolean
      Get
         Return True
      End Get
   End Property

   Public ReadOnly Property [Error]() _
            As String _
            Implements System.ComponentModel.IDataErrorInfo.Error
      Get
         Dim ret As String = String.Empty
         ret = BuildErrorMessage(ret, "FirstName")
         ret = BuildErrorMessage(ret, "LastName")
         Return ret
      End Get
   End Property

   Default Public Overridable ReadOnly Property Item( _
            ByVal columnName As String) _
            As String _
            Implements System.ComponentModel.IDataErrorInfo.Item
      Get
         Return String.Empty
      End Get
   End Property

   Private Function BuildErrorMessage( _
         ByVal fullMessage As String, _
         ByVal columnName As String) _
         As String
      Dim errorMessage As String = Me(columnName)
      If Not String.IsNullOrEmpty(errorMessage) Then
         If Not String.IsNullOrEmpty(fullMessage) Then
            fullMessage &= Microsoft.VisualBasic.ControlChars.CrLf
         End If
         fullMessage &= errorMessage
      End If
      Return fullMessage
   End Function


End Class
