Option Strict On
Option Explicit On

Imports System
Imports KadGen

' Interaction logic for Customer2.xaml
Partial Public Class Incident
   Inherits System.Windows.Controls.UserControl

   Dim incidents As BObjects.SupportIncidentCollection
   Dim statusDisplay As BObjects.EnumDisplayCollection
   Dim seriousnessDisplay As BObjects.EnumDisplayCollection

   Public Sub New()
      InitializeComponent()

      Me.DataContext = SharedData.Incidents

      statusDisplay = BObjects.EnumDisplayCollection.CreateEnumDisplay( _
        GetType(BObjects.IncidentStatus))
      Me.StatusComboBox.ItemsSource = statusDisplay
      seriousnessDisplay = BObjects.EnumDisplayCollection.CreateEnumDisplay( _
        GetType(BObjects.IncidentSeriousness))
      Me.SeriousnessComboBox.ItemsSource = seriousnessDisplay
   End Sub

   Private Sub HelpButton_Click(ByVal sender As Object, ByVal E As RoutedEventArgs)
      MessageBox.Show("I don't have any help today")
   End Sub

   Private Sub SaveCanExecute( _
            ByVal sender As Object, _
            ByVal e As CanExecuteRoutedEventArgs)
      If incidents Is Nothing Then
         e.CanExecute = False
      Else
         e.CanExecute = Not incidents.HasErrors
      End If
   End Sub

   Private Sub SaveExecuted( _
            ByVal sender As Object, _
            ByVal e As ExecutedRoutedEventArgs)
      MessageBox.Show("Save")
   End Sub

End Class
