''' <summary>
''' This class illustrates a singleton-fetch stored procedure call 
''' with one input parameter, several output parameters, and a return 
''' value member.
''' </summary>
''' <remarks>
''' <para>Note that the sizes of string-typed output parameters must be
''' specified. </para>
''' </remarks>
<StoredProcedure("STDA.CustomersFetch")> _
Public Class CustomersFetch
    Inherits CallObject

    <Parameter(Name:="CustomerID")> _
    Public ID As String

    <Parameter(Direction:=ParameterDirection.Output, Size:=50)> _
    Public CompanyName As String

    <Parameter(Direction:=ParameterDirection.Output, Size:=30)> _
    Public ContactName As String

    <Parameter(Direction:=ParameterDirection.Output, Size:=30)> _
    Public ContactTitle As String

    <Parameter(Direction:=ParameterDirection.Output, Size:=60)> _
    Public Address As String

    <Parameter(Direction:=ParameterDirection.Output, Size:=15)> _
    Public City As String

    <Parameter(Direction:=ParameterDirection.Output, Size:=15)> _
    Public Region As String

    <Parameter(Direction:=ParameterDirection.Output, Size:=10)> _
    Public PostalCode As String

    <Parameter(Direction:=ParameterDirection.Output, Size:=15)> _
    Public Country As String

    <Parameter(Direction:=ParameterDirection.Output, Size:=24)> _
    Public Phone As String

    <Parameter(Direction:=ParameterDirection.Output, Size:=24)> _
    Public Fax As String

    <ReturnValue()> _
    Public Found As Boolean

End Class

