''' <summary>
''' This attribute should be applied to types (classes or structures) that
''' represent stored procedure calls.
''' </summary>
<AttributeUsage(AttributeTargets.Class Or AttributeTargets.Struct, AllowMultiple:=False, Inherited:=True)> _
<ImmutableObject(True)> _
Public Class StoredProcedureAttribute
    Inherits DbAttribute

    Private _Name As String

    Public Sub New()
    End Sub

    Public Sub New(ByVal Name As String)
        _Name = Name
    End Sub

    Public ReadOnly Property Name() As String
        Get
            Return _Name
        End Get
    End Property

End Class


